<?php
if(!defined('ABSPATH')) exit;

$author_id = get_the_author_meta('ID');
$author_avatar = get_user_meta($author_id, 'user_profile_image', true);

if ($author_avatar) {
    // カスタムのユーザープロフィール画像が存在する場合
    echo '<img src="' . esc_url($author_avatar) . '" alt="' . esc_attr(get_the_author()) . '" />';
} else {
    // デフォルトのアバター画像を表示
    echo get_avatar($author_id);
}